#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 snap-core
version:              1.0.5.1
visibility:           public
id:                   snap-core-1.0.5.1-7UApPMwwOp5DMV7Q1pwaIh
key:                  snap-core-1.0.5.1-7UApPMwwOp5DMV7Q1pwaIh
license:              BSD-3-Clause
maintainer:           snap@snapframework.com
author:               Snap Framework Authors (see CONTRIBUTORS)
homepage:             http://snapframework.com/
synopsis:             Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.

    This library contains the core definitions and types for the Snap framework,
    including:

    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)

    2. A monad for programming web handlers called \"Snap\", which allows:

    * Stateful access to the HTTP request and response objects

    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together

    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing

    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core".

category:             Web, Snap, IO-Streams
abi:                  991a06c9e0e1fa94a742d7783be99a04
exposed:              True
exposed-modules:
    Snap.Core Snap.Internal.Core Snap.Internal.Debug
    Snap.Internal.Http.Types Snap.Internal.Parsing
    Snap.Internal.Util.FileServe Snap.Test Snap.Types.Headers
    Snap.Util.CORS Snap.Util.FileServe Snap.Util.FileUploads
    Snap.Util.GZip Snap.Util.Proxy

hidden-modules:
    Snap.Internal.Instances Snap.Internal.Routing
    Snap.Internal.Test.RequestBuilder Snap.Internal.Test.Assertions
    Snap.Internal.Util.FileUploads

import-dirs:          /usr/lib/ghc-9.0.2/site-local/snap-core-1.0.5.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/snap-core-1.0.5.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-snap-core
hs-libraries:         HSsnap-core-1.0.5.1-7UApPMwwOp5DMV7Q1pwaIh
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    attoparsec-0.14.4-8o1dQ6yU1rxD4vG6e4yfU4 base-4.15.1.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-6f6jNANXXcbIid2DCZ2B67 containers-0.6.4.1
    directory-1.3.6.2 filepath-1.4.2.1
    hashable-1.4.2.0-5ySl8XM8t8QGZN86Jfv3oR
    io-streams-1.5.2.2-EkUgcECpsYCK8hjGLS9P4g
    lifted-base-0.2.3.12-21aEgn5zg4O2CM3f0RyXqv
    monad-control-1.0.3.1-DaxPfpL0oZOG3sPj9uoV64 mtl-2.2.2
    network-3.1.2.7-2migibsQkdRJOHMsxX4UCn
    network-uri-2.6.4.2-KWjid2Wux6gAGED2q7OhW3
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh
    random-1.2.1.1-2OCZakkUdz4CgwOx57VCs0
    readable-0.3.1-8qk55zLnPf8IWPnnTbUyya
    regex-posix-0.96.0.1-3tnfXrSqQrb7MJMFtuTwG8 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-4qM6Kf3bSogL6UnwTGBF04
    unix-compat-0.6-15wEi2lzGOT7A0YELBqS1U
    unordered-containers-0.2.19.1-DnnZsztXxSKIeB0HgJzbzw
    vector-0.13.0.0-CBdHfq8cDb33l37FQ8xap7

haddock-interfaces:   /usr/share/doc/haskell-snap-core/html/snap-core.haddock
haddock-html:         /usr/share/doc/haskell-snap-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

